> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get SCIM Resource Types

`GET https://api.pagerduty.com/scim/v2/ResourceTypes`

Retrieves the SCIM resource types supported by the service provider.
Scoped OAuth requires: `users.read`

## Authorization

- **apiKey** (apiKey) — `Authorization` header. A [General Access API Key](https://support.pagerduty.com/main/docs/api-access-keys#generate-a-general-access-rest-api-key) with format `Token token=<API_KEY>`
- **bearerToken** (http) — HTTP bearer. An [App OAuth Token](https://docs.pagerduty.com/developer/private-apps) with format `Bearer <TOKEN>`

## Response 200

SCIM Resource Types List

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `Resources` | array of object | yes | A multi-valued list of complex objects containing the requested resources. Default: `[]`. |
| `Resources[].endpoint` | string | yes | The resource type's HTTP-addressable endpoint relative to the base URL. Min length: 1. Pattern: `^/.*`. |
| `Resources[].meta` | object | yes |  |
| `Resources[].meta.resourceType` | string | yes | The resource type. |
| `Resources[].name` | string | yes | The resource type name. Min length: 1. |
| `Resources[].schema` | string (uri) | yes | The resource type's primary/base schema URI. Pattern: `^urn:.*`. |
| `Resources[].schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:schemas:core:2.0:ResourceType"]`. Min items: 1. Items must be unique. |
| `itemsPerPage` | integer | yes | The number of resources returned in a list response page. Default: `100`. Minimum: 0. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:ListResponse"]`. Min items: 1. Items must be unique. |
| `startIndex` | integer | yes | The 1-based index of the first result in the current set of query results. Default: `1`. Minimum: 1. |
| `totalResults` | integer | yes | The total number of results matching the client query. Default: `0`. Minimum: 0. |

## Response 400

Bad Request

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Response 401

Unauthorized

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Response 403

Forbidden

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Response 500

Internal Server Error

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
